inetGeek docs
HTTP feedsReference

Evidence

GET
/ledger.json

not_stated means: on checked_at, the page at page_read did not state this criterion. It does not mean the provider lacks it. source_disagreements are places where two pages of one vendor contradict each other; no value is recorded for those criteria.

Response Body

The ledger.

application/json
  1. response
site*string
page?string
Formaturi
description?string
corrections?string
Formaturi
generated_at?string
counts*
not_stated*array<>
not_offered*array<>
source_disagreements*array<>
recent_changes?array<>
[key: string]?any
Example Request
curl -X GET 'https://inetgeek.com/ledger.json'
Example Response200
{  "site": "string",  "page": "http://example.com",  "description": "string",  "corrections": "http://example.com",  "generated_at": "string",  "counts": {    "property1": 0,    "property2": 0  },  "not_stated": [    {      "id": "string",      "name": "string",      "path": "string",      "not_stated": [        {          "criterion": "string",          "label": "string",          "page_read": "http://example.com",          "checked_at": "2019-08-24"        }      ]    }  ],  "not_offered": [    {}  ],  "source_disagreements": [    {      "id": "string",      "name": "string",      "path": "string",      "disagreements": [        {          "criterion": "string",          "label": "string",          "summary": "string",          "pages": [            {              "source_url": "http://example.com",              "excerpt": "string",              "read_at": "2019-08-24"            }          ]        }      ]    }  ],  "recent_changes": [    {      "kind": "string",      "cause": "string",      "id": "string",      "name": "string",      "field": "string",      "from": null,      "to": null,      "source": "string",      "verified_at": "string",      "date": "2019-08-24",      "commit": "string"    }  ]}
GET
/changelog.json

Response Body

Changes, newest first, with the old and new value and the date.

application/json
  1. response
site*string
generated_at*string
counts?
entries*array<>
Example Request
curl -X GET 'https://inetgeek.com/changelog.json'
Example Response200
{  "site": "string",  "generated_at": "string",  "counts": {    "property1": 0,    "property2": 0  },  "entries": [    {      "kind": "string",      "cause": "string",      "id": "string",      "name": "string",      "field": "string",      "from": null,      "to": null,      "source": "string",      "verified_at": "string",      "date": "2019-08-24",      "commit": "string"    }  ]}